%define	name	pth
%define	version	1.4.0
%define	release	2

Summary:	GNU Pth - GNU Portable Threads.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/pth/
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	patch >= 2.5.4, libtool >= 1.3.5
Prefix:		%{_prefix}

%ifarch ia64
  %define stdlib lib/ia64l32
  %define liblink ../../..
%else
  %define stdlib lib
  %define liblink ../..
%endif

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

%package	devel
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs).
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

Headers and Static Libraries.

%prep
%setup -q

%build
type xlc >/dev/null 2>&1
if [ $? -eq 0 ]; then
  CC="xlc"
  CFLAGS="-O2"
else
  CFLAGS="$RPM_OPT_FLAGS"
fi

libtoolize --force

CC=$CC CFLAGS="$CFLAGS" \
	./configure --prefix=%{prefix}

make CFLAGS="$CFLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install


( cd $RPM_BUILD_ROOT
 for dir in bin include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
)

%ifos linux
%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig
%endif

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%{prefix}/lib/libpth.*a
/usr/%{stdlib}/libpth.*a

%files	devel
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog HACKING HISTORY NEWS PORTING README
%doc SUPPORT TESTS THANKS USERS
%{prefix}/bin/pth-config
%{prefix}/include/pth.h
%{prefix}/man/man*/*
/usr/bin/pth-config
/usr/include/pth.h

%changelog
* Fri Jul 06 2001 David Clissold <cliss@austin.ibm.com>
- Build optimized.

* Mon Mar 19 2001 David Clissold <cliss@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI
- Default to xlc if it is available
- Run libtoolize

* Mon Jan 04 2001 Marc Stephenson <aixtoolbox-l@austin.ibm.com>
  - Added %prefix
  - Added usual AIX Toolbox links to /usr

* Sun Jul 30 2000 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.3.7-1]
- Upgraded to GNU shtool 1.5.1. This fixes especially the
  compilation problems under Solaris which were caused by a too
  unportable `shtool version' command from 1.5.0.
- Fixed (unused) pth_time_mul() function: operator & replaced by %

* Tue Jul  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.3.6-1]
- Upgraded to GNU Shtool 1.5.0
- Added OS/390 support to config.sub.
- Upgraded rse-pmt.ps paper to latest version as it was
  published on USENIX 2000.
- Upgraded to GNU libtool 1.3.5
- Allow for convinience reasons pth_usleep() to accept also
  arguments greater than 1000000.

